Skip to main content
POST
/
messages
/
{message_id}
/
feedbacks
提交消息反馈
curl --request POST \
  --url https://{api_base_url}/messages/{message_id}/feedbacks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rating": "like",
  "user": "abc-123",
  "content": "This answer was very helpful!"
}
'
import requests

url = "https://{api_base_url}/messages/{message_id}/feedbacks"

payload = {
"rating": "like",
"user": "abc-123",
"content": "This answer was very helpful!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rating: 'like', user: 'abc-123', content: 'This answer was very helpful!'})
};

fetch('https://{api_base_url}/messages/{message_id}/feedbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": "success"
}
{
"status": 404,
"code": "not_found",
"message": "Message Not Exists."
}

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized

Path Parameters

message_id
string
required

消息 ID。

Body

application/json

提交消息反馈的请求体。

user
string
required

用户标识符,由开发者定义,必须确保在应用内唯一。

rating
enum<string> | null

反馈评分。设为 null 可撤销之前提交的反馈。

Available options:
like,
dislike,
null
content
string

提供额外详情的可选文字反馈。

Response

操作成功。

result
string

操作结果,固定为 success

Last modified on July 9, 2026